View Single Post
Old 11-01-06, 04:03 PM   #4
Malus
Registered User
 
Join Date: Apr 2004
Posts: 7
Default Re: Beta driver: Beryl crashes in libGLcore.so.1

I'm using 1.0-9625. I don't think any of the older versions have the GLX_EXT_texture_from_pixmap. Also, I believe Beryl requires glxinfo to run, but none of the ports under Xorg modular actually installs it. So, I grabbed the binary for glxinfo off of another machine running Xorg 6.9. I think glxinfo has to be built from the Mesa sources now, however, I have never seen a Mesa source tarball containing the code for glxinfo.

By the way, where can I report bugs for Xorg modular? I know Nvidia installs its extensions and drivers into ${X11BASE}/lib/modules instead of ${X11BASE}/lib/xorg/modules, though I haven't gotten around to patching it yet. Also, there doesn't seem to be an equivalent to xorg-fonts-encodings-6.9.0_1 in the modular Xorg, so my ports always require it to be installed, which probably shouldn't be the case. Also, I think either xorg-apps or xorg-complete should have xterm as a dependency, since it doesn't seem to get installed after installing xorg-complete.

For the record, I switched one machine's ${X11BASE} to /usr/local and everything seems to be working fine. Of course, I did this by starting from scratch instead of changing all of the ports over, but it still works fine.
Malus is offline   Reply With Quote